Bug 850345 - Introduce new systemd-rpm macros in transmission spec file
Introduce new systemd-rpm macros in transmission spec file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: transmission (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 10:13 EDT by Lukáš Nykrýn
Modified: 2013-04-02 18:27 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-02 18:27:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 10:13:12 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Rahul Sundaram 2013-01-19 21:44:05 EST
I have made the changes locally.  Will push when there is a new release, probably only for Rawhide.
Comment 2 Anders Kaseorg 2013-04-02 17:51:01 EDT
This was mistakenly pushed for Fedora 17, which doesn’t support the new macros (bug 947627).

Note You need to log in before you can comment on or make changes to this bug.